Bug 1250087 - Provisioning fails due to cluster not being selected on Vmware / RHEV
Provisioning fails due to cluster not being selected on Vmware / RHEV
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Brandon Dunne
Pete Savage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 09:37 EDT by Brandon Dunne
Modified: 2015-12-08 08:25 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:25:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Dunne 2015-08-04 09:37:01 EDT
Description of problem:
No clusters are available for selection in the provisioning dialog.  When submitting a request with no cluster selected, the provision fails.

Version-Release number of selected component (if applicable):
master@7775a99
Comment 2 CFME Bot 2015-08-07 07:14:29 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/eecdbf3dd27e3cec89286034aff91c54e11ca1ad

commit eecdbf3dd27e3cec89286034aff91c54e11ca1ad
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Mon Aug 3 18:21:44 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Tue Aug 4 16:57:56 2015 -0400

    Targets is now required since Rbac.filtered needs an array of objects
    to filter
    
    See previous change here: https://github.com/ManageIQ/manageiq/pull/3202/files#diff-caa6b129c7d141508e92beac40dcb232R832
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 app/models/miq_request_workflow.rb | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)
Comment 3 CFME Bot 2015-08-07 07:14:33 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3e4a32070ed38dbbb9b48d773942b01dab3bf0b4

commit 3e4a32070ed38dbbb9b48d773942b01dab3bf0b4
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Mon Aug 3 18:23:25 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Tue Aug 4 16:57:56 2015 -0400

    Remove extra method since its no longer needed
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 app/models/miq_request_workflow.rb | 4 ----
 1 file changed, 4 deletions(-)
Comment 4 CFME Bot 2015-08-07 07:14:36 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a44613d260c28eb5d8b5f72aea6a3046f871de6f

commit a44613d260c28eb5d8b5f72aea6a3046f871de6f
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Tue Aug 4 14:47:11 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Tue Aug 4 16:57:56 2015 -0400

    Update callers of #process_filter_all to go through #process_filter
    and pass a collection for filtering
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 app/models/miq_provision_microsoft_workflow.rb |  5 +++--
 app/models/miq_request_workflow.rb             | 10 ++++++----
 2 files changed, 9 insertions(+), 6 deletions(-)
Comment 5 CFME Bot 2015-08-07 07:14:40 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3014fb46ad92e284e59e42f91b77f7ccbcc65375

commit 3014fb46ad92e284e59e42f91b77f7ccbcc65375
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Tue Aug 4 14:48:21 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Tue Aug 4 16:57:57 2015 -0400

    Define the workflow in one place since it is common to all specs
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 spec/models/miq_request_workflow_spec.rb | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)
Comment 6 CFME Bot 2015-08-07 07:14:43 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/27db482ccd4487bd6adce0529ee05194a954d4e7

commit 27db482ccd4487bd6adce0529ee05194a954d4e7
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Tue Aug 4 17:38:59 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Tue Aug 4 17:38:59 2015 -0400

    Add specs for the allowed_clusters and allowed_resource_pools methods
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 spec/models/miq_request_workflow_spec.rb | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
Comment 7 CFME Bot 2015-08-07 07:14:47 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/4a42e1650248e583ea6d7d226d0cc9a4508fd19f

commit 4a42e1650248e583ea6d7d226d0cc9a4508fd19f
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Wed Aug 5 11:21:45 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Wed Aug 5 11:22:51 2015 -0400

    Update test description to properly set expectations of what is tested
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 spec/models/miq_request_workflow_spec.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 8 CFME Bot 2015-08-07 07:14:50 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c61393b442c0e9a5d71e6251ff11660b250da38b

commit c61393b442c0e9a5d71e6251ff11660b250da38b
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Wed Aug 5 11:22:23 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Wed Aug 5 11:22:57 2015 -0400

    No need for filtered_ids variable
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 app/models/miq_provision_microsoft_workflow.rb | 3 +--
 app/models/miq_request_workflow.rb             | 6 ++----
 2 files changed, 3 insertions(+), 6 deletions(-)
Comment 10 CFME Bot 2015-08-07 14:58:48 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 11 CFME Bot 2015-08-07 14:58:55 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 12 CFME Bot 2015-08-07 15:03:42 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 13 CFME Bot 2015-08-07 15:03:47 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 14 CFME Bot 2015-08-07 17:27:15 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b5334423426f331293505ba7cf09da0b2a17bf65

commit b5334423426f331293505ba7cf09da0b2a17bf65
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Fri Aug 7 14:40:48 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Fri Aug 7 14:45:50 2015 -0400

    Add tests for allowed_clusters & allowed_resource_pools with no source ems
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 spec/models/miq_request_workflow_spec.rb | 46 +++++++++++++++++++++++---------
 1 file changed, 34 insertions(+), 12 deletions(-)
Comment 15 CFME Bot 2015-08-07 17:27:19 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/8a447eccc690f386c1aafe5b3c76409eb6a63b12

commit 8a447eccc690f386c1aafe5b3c76409eb6a63b12
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Fri Aug 7 14:45:08 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Fri Aug 7 14:45:55 2015 -0400

    Try(:id) to prevent undefined_method 'id' for nil errors
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 app/models/miq_provision_microsoft_workflow.rb | 2 +-
 app/models/miq_request_workflow.rb             | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)
Comment 17 CFME Bot 2015-08-12 17:36:24 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d44614e83dac1e6547f382048de9c0c13b54ca10

commit d44614e83dac1e6547f382048de9c0c13b54ca10
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Tue Aug 11 19:12:34 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Tue Aug 11 19:12:45 2015 -0400

    Correct spec to return a MiqHashStruct instead of an ActiveRecord object.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 spec/models/miq_request_workflow_spec.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 18 CFME Bot 2015-08-12 17:36:27 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/85002bf143caf547d853ba09329bfdc4b3d72198

commit 85002bf143caf547d853ba09329bfdc4b3d72198
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Tue Aug 11 19:03:04 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Tue Aug 11 23:28:44 2015 -0400

    Add specs for MiqHashStruct#try
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 gems/pending/spec/util/miq-hash_struct_spec.rb | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 19 CFME Bot 2015-08-12 17:36:30 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/196d07c17af58afb1285af8344f90bb63a555cef

commit 196d07c17af58afb1285af8344f90bb63a555cef
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Wed Aug 12 07:22:57 2015 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Wed Aug 12 07:22:57 2015 -0400

    Allow MiqHashStruct to properly respond to :try
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250087

 gems/pending/util/miq-hash_struct.rb | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 20 Pete Savage 2015-10-26 16:51:25 EDT
Verified with bdunne that the presence of the cluster dropdown is the resolution to this bug, 5.5.0.7
Comment 22 errata-xmlrpc 2015-12-08 08:25:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.